package cn.com.ty.lift.business.maintenance.dao.mapper;

import cn.com.ty.lift.business.maintenance.dao.entity.ScanRecord;
import cn.com.ty.lift.business.maintenance.dao.entity.model.response.ScanLiftInfoResponse;
import cn.com.ty.lift.business.maintenance.dao.entity.model.response.ScanMaintenancePlanResponse;
import cn.com.ty.lift.common.constants.ApiConstants;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 电梯二维码扫码记录表 Mapper 接口
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2020-04-28
 */
public interface ScanRecordMapper extends BaseMapper<ScanRecord> {

    @Select(ApiConstants.SQL.QUERY_LIFT_INFO_BY_LIFT_ID)
    List<ScanLiftInfoResponse> queryLiftInfoByLiftId(Long liftId);

    @Select(ApiConstants.SQL.QUERY_MAINTENANCE_PLAN_BY_LIFT_ID)
    IPage<ScanMaintenancePlanResponse> queryMaintenancePlanByLiftId(IPage<ScanMaintenancePlanResponse> page, Long liftId);

}
